
Public Support - Support Request #19033

Init of Configuration slowed down significantly by Grouped Enum Properties

2023-01-03 07:52 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-11857

Department: IAV Affected Products: ADTF 3.15.2

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: ADTF::FilterSDK

Resolution: Product Issue Opened FAQ Links:  

Description

Werden in einem Filter Enum Properties verwendet, welche in einer Untergruppe gruppiert sind, dann verlangsamt das den Start

einer ADTF3 Configuration sehr stark.

Bei Verwendung anderer Properties (getestet mit uint32) scheint dies nicht aufzutreten.

Anbei im Anhang befindet sich ein Test-Filter. Ergebnisse bei unseren Tests, welche nur diesen einen Filter verwendet:

30 Enum Properties ohne Gruppierung: Start < 1s

30 Enum Properties in Gruppe "test/": Start in ~10s

30 Enum Properties in Gruppe "test/sub/": Start ~ 33s

Solution

Product Issue erstellt:

https://www.cip.audi.de/jira/browse/ACORE-11857

History

#1 - 2023-01-12 14:20 - hidden

- Status changed from New to In Progress

Hallo Robert,

vielen Dank für deine Anfrage.

Wir werden das Prüfen und dir so schnell wie möglich Rückantwort geben.

Mit besten grüßen

Sascha

#13 - 2023-01-30 08:44 - hidden

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-11857

Hi Sascha,

wir können das Verhalten reproduzieren, danke für den Test Filter!

Ich habe dafür das Produktticket https://www.cip.audi.de/jira/browse/ACORE-11857 erstellt.

Leider gibt es für Dich im Moment keine Möglichkeit das Problem zu umgehen.

Grüße,

Martin

#14 - 2023-01-31 09:19 - hidden

- Description updated

- Status changed from In Progress to To Be Closed
https://www.cip.audi.de/jira/browse/ACORE-11857
https://www.cip.audi.de/jira/browse/ACORE-11857


Hallo Robert,

durch die Erstellung des "Product Issue" https://www.cip.audi.de/jira/browse/ACORE-11857

Wurde dein Problem aufgenommen und wird zur dessen Behebung eingeplant.

Das Ticket wird resultierend daraus geschlossen.

Mit besten Grüßen

Sascha

#15 - 2023-01-31 12:05 - hidden

Hallo Sascha,

alles klar. Danke!

Mit besten Grüßen

Robert

#16 - 2023-02-09 12:37 - hidden

- Subject changed from Grouped Enum Properties verlangsamen Init der Configuration stark to Init of Configuration slowed down significantly by

Grouped Enum Properties

#17 - 2023-02-09 12:42 - hidden

- Resolution set to Product Issue Opened

#18 - 2023-02-09 12:43 - hidden

- Support Level changed from 2nd Level to 3rd Level

#19 - 2023-02-13 12:57 - hidden

- Topic set to ADTF::FilterSDK

#20 - 2023-03-13 07:55 - hidden

- Project changed from 20 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

Files

properties_filter.zip 4.39 KB 2023-01-03 hidden
